import Module from 'module';
const { name } = [require][0]('./package.json');

const _resolveFilename = (Module as any)._resolveFilename;
const alias = new Set([
  'eslint-import-resolver-typescript',
  'eslint-plugin-import',
  'eslint-plugin-jsx-a11y',
  'eslint-plugin-local',
  'eslint-plugin-n',
  'eslint-plugin-react-hooks',
  'eslint-plugin-react',
  'eslint-plugin-rules',
]);

(Module as any)._resolveFilename = function (module: string, ...args: any[]) {
  if (alias.has(module)) {
    module = `${name}/${module}`;
  }
  return _resolveFilename(module, ...args);
};
