import { error, off } from '../constants';
import { ImportRules } from 'eslint-define-config/src/rules/import';

export const importRules: Partial<ImportRules> = {
  'import/export': off,
  'import/no-duplicates': error,
  'import/order': [error, { groups: ['builtin', 'external'] }],
};
